Application: gvSIG desktop - gvSIG feature requests #5549
En los desplegables con un unico elemento, este debe aparecer seleccionado por defecto.

03/01/2021 12:39 PM - José Olivas

Status: Closed % Done: 0%
Priority: Normal Spent time: 0.00 hour
Assignee: Francisco Diaz Carsi

Category:

Target version: 2.6.0-3219

gvSIG version: 26.0 Add-on resolve version:
Keywords: Add-on resolve build:

Has patch: Proyecto: AYTOA 1
Add-on name: Unknown Hito: Fase 01
Add-on version:

Description

Reportado por Victor

En los desplegables en los que sdlo hay un elemento deberia aparecer seleccionado, por ejemplo, cuando seleccionamos en qué

copia de trabajo vamos a revisar los cambios y sélo hay una o cuando vamos a afadir una capa o tabla a nuestra copia de

trabajo y tenemos que seleccionar en qué vista y solo hay una.

Associated revisions

Revision 3628 - 03/30/2021 01:40 PM - Francisco Diaz Carsi

refs #5549 Selected the existing element in the view and datamodels combo boxes when there is only one.

History

#1 - 03/02/2021 09:09 PM - Joaquin del Cerro Murciano
- Proyecto changed from AYTOA 1 VCSGIS to AYTOA 1

#2 - 03/05/2021 07:17 PM - Joaquin del Cerro Murciano
- Target version changed from 2.6.0-3216 to 2.6.1-final

#3 - 03/28/2021 12:39 PM - Joaquin del Cerro Murciano
- Target version changed from 2.6.1-final to 2.6.0-3219

#4 - 03/30/2021 08:07 AM - Joaquin del Cerro Murciano
- Assignee set to Francisco Diaz Carsi

La peticion afecta a varias cosas:
- La seleccion de la copia de trabajo.

En este caso desaconsejamos que se seleccione automaticamante la copia de trabajo.

Esta seleccion lleva por debajo operaciones que pueden ser lentas y potencialmente

bloqueen a la aplicacion durante un tiempo (al acceder a un repositorio remoto),

por lo que parece razonable que sea el usuario quien tome esa decision. No vamos a

realizar ninguna accion al respecto.

- La seleccion de la vista al cargar una tabla. De forma general no vamos a realizar

una actuacion al respecto. Vamos a proceder a actuar sobre:
- Dialogo "importar historial". Por defecto, si solo hay una vista, que la seleccione,
marque el check de afadir a la vista y la seleccione en el combo.

- Dialogo "Anadir a la copia de trabajo". Por defecto, si solo hay una vista, que la seleccione,
marque el check de afiadir a la vista y la seleccione en el combo.

- Dialogo "Obtener copia local". Por defecto, si solo hay una vista y la tabla tiene geometria,
que la seleccione y marque la opcion de afnadir a la vista.

- Dialogo "Exportar". Por defecto, si solo hay una vista y la tabla tiene geometria,
que la seleccione y marque la opcion de anadir a la vista.

- Dialog "Conectar a modelo de datos", si solo hay un modelo, que lo seleccione por

defecto.

Si hay que actuar sobre algun otro panel o dialogo levantar un tiquet para ese panel/dialogo.

#5 - 03/30/2021 08:27 AM - Francisco Diaz Carsi
- Assignee deleted (Francisco Diaz Carsi)

- Status changed from New to In progress

#6 - 03/30/2021 08:31 AM - Francisco Diaz Carsi

- Assignee set to Francisco Diaz Carsi

#7 - 03/30/2021 01:41 PM - Francisco Diaz Carsi

- Status changed from In progress to Fixed

#8 - 10/18/2023 11:09 AM - Alvaro Anguix

- Status changed from Fixed to Closed
